> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Create a concept scheme with user-defined ID

PUT https://api.contentful.com/organizations/{organization_id}/taxonomy/concept-schemes/{concept_scheme_id}
Content-Type: application/vnd.contentful.management.v1+json

Reference: https://contentful.com/developers/docs/references/content-management-api/taxonomy/create-a-concept-scheme-with-user-defined-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — The ID of the organization.
- `concept_scheme_id` (string, required) — The user-defined ID of the concept scheme.

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 201

Created - Resource created successfully

- `map from string to any`

## Examples

**Request**

```json
{
  "concepts": [
    {
      "sys": {
        "id": "1Py5SjffQHkGGY3dZ02W14"
      }
    }
  ],
  "definition": {
    "en-US": ""
  },
  "prefLabel": {
    "en-US": "Home Products"
  },
  "topConcepts": [
    {
      "sys": {
        "id": "1Py5SjffQHkGGY3dZ02W14"
      }
    }
  ],
  "uri": ""
}
```

**Response**

```json
{
  "concepts": [
    {
      "sys": {
        "id": "1Py5SjffQHkGGY3dZ02W14",
        "linkType": "TaxonomyConcept",
        "type": "Link"
      }
    }
  ],
  "definition": {
    "en-US": ""
  },
  "prefLabel": {
    "en-US": "Home Products"
  },
  "sys": {
    "createdAt": "2025-07-14T00:43:46.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "id": "2s0F7127ajju1AVToMaCtE",
    "organization": {
      "sys": {
        "id": "0D9ZC8rLWiw6x5qizZGiRs",
        "linkType": "Organization",
        "type": "Link"
      }
    },
    "type": "TaxonomyConceptScheme",
    "updatedAt": "2025-07-14T00:43:46.000Z",
    "updatedBy": {
      "sys": {
        "id": "4FLrUHftHW3v2BLi9fzfjU",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 0
  },
  "topConcepts": [
    {
      "sys": {
        "id": "1Py5SjffQHkGGY3dZ02W14",
        "linkType": "TaxonomyConcept",
        "type": "Link"
      }
    }
  ],
  "totalConcepts": 1,
  "uri": ""
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
Please use the Javascript (Plain client) for this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

await client.conceptScheme.createWithId({
  organizationId: '<organization_id>',
  conceptSchemeId: '<concept_scheme_id>',
}, {
  prefLabel: {'en-US': 'Sofas'},
  altLabels: {'en-US': ['Couches', 'Settees']},
  broader: [{id: '<broader_concept_id>'}],
  related: [{id: '<related_concept_id>'}]
})
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
csharp
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

// Create a scheme with a specific ID
var conceptScheme = new TaxonomyConceptScheme
{
    Name = "Product Categories",
    Description = "Categories for our products"
};
var schemeWithId = await managementClient.CreateTaxonomyConceptSchemeWithId(organizationId, "my-scheme-id", conceptScheme);
```